@echo off
rem
rem Licensed Materials - Property of IBM
rem 5724-F75
rem (C) Copyright IBM Corp.  2009, 2010
rem All Rights Reserved
rem US Government Users Restricted Rights -Use, duplication or
rem disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
rem
rem
@echo off


set DB_HOSTNAME=%1
set USER_NAME=%2
set USER_PWD=%3
set DB_NAME=%4
set INT_SECURITY=%5
set DB_PORT=%6
set SQL_FILE=%7

IF not "%DB_PORT%" == "" (
set DB_PORT=,%DB_PORT%
)

set RUNQRY=sqlcmd -S %DB_HOSTNAME%%DB_PORT% -U %USER_NAME% -P %USER_PWD% -Q
set RUN=sqlcmd -S %DB_HOSTNAME%%DB_PORT% -U %USER_NAME% -P %USER_PWD% -d %DB_NAME% -i

IF %INT_SECURITY% == T set RUNQRY=sqlcmd -S %DB_HOSTNAME%%DB_PORT% -Q
IF %INT_SECURITY% == T set RUN=sqlcmd -S %DB_HOSTNAME%%DB_PORT% -d %DB_NAME% -i

REM retrieve case-sensitive collation name
%RUN% sqlServer\ms_changecollation.sql -o temp.txt
FOR /F %%G IN (temp.txt) DO set COLLVAR=%%G
echo Setting column collation to %COLLVAR%...
del temp.txt

%RUN% sqlServer\%SQL_FILE% -v collation=%COLLVAR%
if errorlevel 1 exit %errorlevel%

:end

